org.firebirdsql.jdbc.parser

## Class JaybirdSqlLexer

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>
  - - org.antlr.v4.runtime.Lexer
    - - org.firebirdsql.jdbc.parser.JaybirdSqlLexer

All Implemented Interfaces:
  org.antlr.v4.runtime.TokenSource

    public class JaybirdSqlLexer
    extends org.antlr.v4.runtime.Lexer

### Field Summary

Fields
`static org.antlr.v4.runtime.atn.ATN` `_ATN`
`protected static org.antlr.v4.runtime.dfa.DFA[]` `_decisionToDFA`
`static java.lang.String` `_serializedATN`
`protected static org.antlr.v4.runtime.atn.PredictionContextCache` `_sharedContextCache`
`static int` `AS`
`static int` `BINARY_STRING`
`static java.lang.String[]` `channelNames`
`static int` `COMMA`
`static int` `COMMENT`
`static int` `DELETE`
`static int` `FROM`
`static int` `GENERIC_ID`
`static int` `INSERT`
`static int` `INTO`
`static int` `LEFT_PAREN`
`static int` `MERGE`
`static java.lang.String[]` `modeNames`
`static int` `OR`
`static int` `OTHER`
`static int` `Q_STRING`
`static int` `QUOTED_ID`
`static int` `RETURNING`
`static int` `RIGHT_PAREN`
`static java.lang.String[]` `ruleNames`
`static int` `SET`
`static int` `SL_COMMENT`
`static int` `STRING`
`static int` `T__0`
`static int` `T__1`
`static int` `T__2`
`static java.lang.String[]` `tokenNames` Deprecated. Use `VOCABULARY` instead.
`static int` `UPDATE`
`static org.antlr.v4.runtime.Vocabulary` `VOCABULARY`
`static int` `WS`

### Fields inherited from class org.antlr.v4.runtime.Lexer

`_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

### Fields inherited from class org.antlr.v4.runtime.Recognizer

`_interp, EOF`

### Constructor Summary

Constructors
Constructor and Description
`JaybirdSqlLexer(org.antlr.v4.runtime.CharStream input)`

### Method Summary

Methods
`org.antlr.v4.runtime.atn.ATN` `getATN()`
`java.lang.String[]` `getChannelNames()`
`java.lang.String` `getGrammarFileName()`
`java.lang.String[]` `getModeNames()`
`java.lang.String[]` `getRuleNames()`
`java.lang.String` `getSerializedATN()`
`java.lang.String[]` `getTokenNames()` Deprecated.
`org.antlr.v4.runtime.Vocabulary` `getVocabulary()`
`boolean` `sempred(org.antlr.v4.runtime.RuleContext _localctx, int ruleIndex, int predIndex)`

### Methods inherited from class org.antlr.v4.runtime.Lexer

`emit, emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip`

### Methods inherited from class org.antlr.v4.runtime.Recognizer

`action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, setInterpreter, setState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _decisionToDFA

    protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

#### _sharedContextCache

    protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

#### T__0

    public static final int T__0

See Also:
  Constant Field Values

#### T__1

    public static final int T__1

See Also:
  Constant Field Values

#### T__2

    public static final int T__2

See Also:
  Constant Field Values

#### AS

    public static final int AS

See Also:
  Constant Field Values

#### DELETE

    public static final int DELETE

See Also:
  Constant Field Values

#### FROM

    public static final int FROM

See Also:
  Constant Field Values

#### INSERT

    public static final int INSERT

See Also:
  Constant Field Values

#### INTO

    public static final int INTO

See Also:
  Constant Field Values

#### MERGE

    public static final int MERGE

See Also:
  Constant Field Values

#### OR

    public static final int OR

See Also:
  Constant Field Values

#### RETURNING

    public static final int RETURNING

See Also:
  Constant Field Values

#### SET

    public static final int SET

See Also:
  Constant Field Values

#### UPDATE

    public static final int UPDATE

See Also:
  Constant Field Values

#### LEFT_PAREN

    public static final int LEFT_PAREN

See Also:
  Constant Field Values

#### RIGHT_PAREN

    public static final int RIGHT_PAREN

See Also:
  Constant Field Values

#### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

#### STRING

    public static final int STRING

See Also:
  Constant Field Values

#### BINARY_STRING

    public static final int BINARY_STRING

See Also:
  Constant Field Values

#### Q_STRING

    public static final int Q_STRING

See Also:
  Constant Field Values

#### GENERIC_ID

    public static final int GENERIC_ID

See Also:
  Constant Field Values

#### QUOTED_ID

    public static final int QUOTED_ID

See Also:
  Constant Field Values

#### SL_COMMENT

    public static final int SL_COMMENT

See Also:
  Constant Field Values

#### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

#### WS

    public static final int WS

See Also:
  Constant Field Values

#### OTHER

    public static final int OTHER

See Also:
  Constant Field Values

#### channelNames

    public static java.lang.String[] channelNames

#### modeNames

    public static java.lang.String[] modeNames

#### ruleNames

    public static final java.lang.String[] ruleNames

#### VOCABULARY

    public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

#### tokenNames

    @Deprecated
    public static final java.lang.String[] tokenNames

Deprecated. Use `VOCABULARY` instead.

#### _serializedATN

    public static final java.lang.String _serializedATN

See Also:
  Constant Field Values

#### _ATN

    public static final org.antlr.v4.runtime.atn.ATN _ATN

### Constructor Detail

#### JaybirdSqlLexer

    public JaybirdSqlLexer(org.antlr.v4.runtime.CharStream input)

### Method Detail

#### getTokenNames

    @Deprecated
    public java.lang.String[] getTokenNames()

Deprecated.

Overrides:
  `getTokenNames` in class `org.antlr.v4.runtime.Lexer`

#### getVocabulary

    public org.antlr.v4.runtime.Vocabulary getVocabulary()

Overrides:
  `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getGrammarFileName

    public java.lang.String getGrammarFileName()

Specified by:
  `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getRuleNames

    public java.lang.String[] getRuleNames()

Specified by:
  `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getSerializedATN

    public java.lang.String getSerializedATN()

Overrides:
  `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### getChannelNames

    public java.lang.String[] getChannelNames()

Overrides:
  `getChannelNames` in class `org.antlr.v4.runtime.Lexer`

#### getModeNames

    public java.lang.String[] getModeNames()

Overrides:
  `getModeNames` in class `org.antlr.v4.runtime.Lexer`

#### getATN

    public org.antlr.v4.runtime.atn.ATN getATN()

Specified by:
  `getATN` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

#### sempred

    public boolean sempred(org.antlr.v4.runtime.RuleContext _localctx,
                  int ruleIndex,
                  int predIndex)

Overrides:
  `sempred` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`